Package org.eclipse.rdf4j.spring.resultcache

## Class ResultCachingTupleQuery

- java.lang.Object
- - org.eclipse.rdf4j.spring.support.query.DelegatingTupleQuery
  - - org.eclipse.rdf4j.spring.resultcache.ResultCachingTupleQuery

- All Implemented Interfaces:
    `Operation`, `Query`, `TupleQuery`

      public class ResultCachingTupleQuery
      extends DelegatingTupleQuery

  Since:
    4.0.0
  Author:
    Florian Kleedorfer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.query.Query

      `Query.QueryType`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResultCachingTupleQuery​(TupleQuery delegate, ResultCache<Integer,​ReusableTupleQueryResult> localResultCache, ResultCache<Integer,​ReusableTupleQueryResult> globalResultCache, ResultCacheProperties properties)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TupleQueryResult` | `evaluate()` |
    `void` | `evaluate​(TupleQueryResultHandler handler)` |
    `void` | `renewLocalResultCache​(ResultCache<Integer,​ReusableTupleQueryResult> localResultCache)` |

    - ### Methods inherited from class org.eclipse.rdf4j.spring.support.query.DelegatingTupleQuery

      `clearBindings, explain, getBindings, getDataset, getDelegate, getIncludeInferred, getMaxExecutionTime, getMaxQueryTime, removeBinding, setBinding, setDataset, setIncludeInferred, setMaxExecutionTime, setMaxQueryTime, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResultCachingTupleQuery

          public ResultCachingTupleQuery​(TupleQuery delegate,
                                         ResultCache<Integer,​ReusableTupleQueryResult> localResultCache,
                                         ResultCache<Integer,​ReusableTupleQueryResult> globalResultCache,
                                         ResultCacheProperties properties)

  - ### Method Detail

    - #### renewLocalResultCache

          public void renewLocalResultCache​(ResultCache<Integer,​ReusableTupleQueryResult> localResultCache)

    - #### evaluate

          public TupleQueryResult evaluate()
                                    throws QueryEvaluationException

      Specified by:
        `evaluate` in interface `TupleQuery`
      Overrides:
        `evaluate` in class `DelegatingTupleQuery`
      Throws:
        `QueryEvaluationException`

    - #### evaluate

          public void evaluate​(TupleQueryResultHandler handler)
                        throws QueryEvaluationException,
                               TupleQueryResultHandlerException

      Specified by:
        `evaluate` in interface `TupleQuery`
      Overrides:
        `evaluate` in class `DelegatingTupleQuery`
      Throws:
        `QueryEvaluationException`
        `TupleQueryResultHandlerException`